org.fourthline.cling.model.meta

## Class ActionArgument<S extends Service>

- java.lang.Object
- - org.fourthline.cling.model.meta.ActionArgument<S>

- All Implemented Interfaces:
    Validatable

      public class ActionArgument<S extends Service>
      extends Object
      implements Validatable

  Describes a single action argument, either input or output.

  No, I haven't figured out so far what the "return value" thingy is good for.

  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionArgument.Direction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionArgument(String name, String[] aliases, String relatedStateVariableName, ActionArgument.Direction direction)`
    `ActionArgument(String name, String[] aliases, String relatedStateVariableName, ActionArgument.Direction direction, boolean returnValue)`
    `ActionArgument(String name, String relatedStateVariableName, ActionArgument.Direction direction)`
    `ActionArgument(String name, String relatedStateVariableName, ActionArgument.Direction direction, boolean returnValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionArgument<S>` | `deepCopy()`
    `Action<S>` | `getAction()`
    `String[]` | `getAliases()`
    `Datatype` | `getDatatype()`
    `ActionArgument.Direction` | `getDirection()`
    `String` | `getName()`
    `String` | `getRelatedStateVariableName()`
    `boolean` | `isNameOrAlias(String name)`
    `boolean` | `isReturnValue()`
    `String` | `toString()`
    `List<ValidationError>` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionArgument

          public ActionArgument(String name,
                                String relatedStateVariableName,
                                ActionArgument.Direction direction)

    - #### ActionArgument

          public ActionArgument(String name,
                                String[] aliases,
                                String relatedStateVariableName,
                                ActionArgument.Direction direction)

    - #### ActionArgument

          public ActionArgument(String name,
                                String relatedStateVariableName,
                                ActionArgument.Direction direction,
                                boolean returnValue)

    - #### ActionArgument

          public ActionArgument(String name,
                                String[] aliases,
                                String relatedStateVariableName,
                                ActionArgument.Direction direction,
                                boolean returnValue)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getAliases

          public String[] getAliases()

    - #### isNameOrAlias

          public boolean isNameOrAlias(String name)

    - #### getRelatedStateVariableName

          public String getRelatedStateVariableName()

    - #### getDirection

          public ActionArgument.Direction getDirection()

    - #### isReturnValue

          public boolean isReturnValue()

    - #### getAction

          public Action<S> getAction()

    - #### getDatatype

          public Datatype getDatatype()

    - #### validate

          public List<ValidationError> validate()

      Specified by:
        `validate` in interface `Validatable`
      Returns:
        An empty `List` if all rules validated properly, otherwise, the detected errors.

    - #### deepCopy

          public ActionArgument<S> deepCopy()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.